Package ghidra.graph.viewer.event.mouse

# Class VisualGraphHoverMousePlugin<V extends VisualVertex,E extends VisualEdge<V>>

java.lang.Object
edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
ghidra.graph.viewer.event.mouse.VisualGraphHoverMousePlugin<V,E>

Type Parameters:
  `V` - the vertex type
  `E` - the edge type

All Implemented Interfaces:
  `edu.uci.ics.jung.visualization.control.GraphMousePlugin`, `VisualGraphMousePlugin<V,E>`, `MouseListener`, `MouseMotionListener`, `EventListener`

public class VisualGraphHoverMousePlugin<V extends VisualVertex,E extends VisualEdge<V>> extends edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin implements MouseMotionListener, MouseListener, VisualGraphMousePlugin<V,E>
A mouse plugin to handle vertex hovers, to include animating paths in the graph, based upon the current `PathHighlightMode`.

- ## Field Summary

  ### Fields inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin

  `cursor, down, modifiers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VisualGraphHoverMousePlugin(GraphComponent<V,E,?> graphComponent, edu.uci.ics.jung.visualization.VisualizationViewer<V,E> viewer, edu.uci.ics.jung.visualization.VisualizationViewer<V,E> otherViewer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkModifiers(MouseEvent e)`
  `void`
  `dispose()`
  Signals to perform any cleanup when this plugin is going away
  `void`
  `mouseClicked(MouseEvent e)`
  `void`
  `mouseDragged(MouseEvent e)`
  `void`
  `mouseEntered(MouseEvent e)`
  `void`
  `mouseExited(MouseEvent e)`
  `void`
  `mouseMoved(MouseEvent e)`
  `void`
  `mousePressed(MouseEvent e)`
  `void`
  `mouseReleased(MouseEvent e)`

  ### Methods inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin

  `getCursor, getModifiers, setCursor, setModifiers`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.graph.viewer.event.mouse.VisualGraphMousePlugin

  `getGraphViewer, getSatelliteGraphViewer, getViewer, getViewUpdater, getViewUpdater`

- ## Constructor Details

  - ### VisualGraphHoverMousePlugin

    public VisualGraphHoverMousePlugin(GraphComponent<V,E,?> graphComponent, edu.uci.ics.jung.visualization.VisualizationViewer<V,E> viewer, edu.uci.ics.jung.visualization.VisualizationViewer<V,E> otherViewer)

- ## Method Details

  - ### checkModifiers

    public boolean checkModifiers(MouseEvent e)
    Specified by:
      `checkModifiers` in interface `edu.uci.ics.jung.visualization.control.GraphMousePlugin`
    Overrides:
      `checkModifiers` in class `edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin`

  - ### mouseMoved

    public void mouseMoved(MouseEvent e)
    Specified by:
      `mouseMoved` in interface `MouseMotionListener`

  - ### mouseExited

    public void mouseExited(MouseEvent e)
    Specified by:
      `mouseExited` in interface `MouseListener`

  - ### mouseDragged

    public void mouseDragged(MouseEvent e)
    Specified by:
      `mouseDragged` in interface `MouseMotionListener`

  - ### mouseReleased

    public void mouseReleased(MouseEvent e)
    Specified by:
      `mouseReleased` in interface `MouseListener`

  - ### mouseEntered

    public void mouseEntered(MouseEvent e)
    Specified by:
      `mouseEntered` in interface `MouseListener`

  - ### mousePressed

    public void mousePressed(MouseEvent e)
    Specified by:
      `mousePressed` in interface `MouseListener`

  - ### mouseClicked

    public void mouseClicked(MouseEvent e)
    Specified by:
      `mouseClicked` in interface `MouseListener`

  - ### dispose

    public void dispose()
    Description copied from interface: `VisualGraphMousePlugin`
    Signals to perform any cleanup when this plugin is going away
    Specified by:
      `dispose` in interface `VisualGraphMousePlugin<V extends VisualVertex,E extends VisualEdge<V>>`